<script setup lang="ts">
    import { ref } from "vue";
    import { useRouter } from "vue-router";

    const router = useRouter();

    const counter = ref(0);
    function handleViewClick() {
        counter.value++;

        if (counter.value > 5) {
            router.push("/view");
        }
    }
</script>

<template>
    <div class="container">
        <h1>Wandertag App</h1>

        <br />
        <img class="centered-image" src="/Logo.png" alt="LOGO" />
        <br />
        <router-link to="tracking" class="status-message-info status-message">HIER gehts weiter!</router-link>
        <br />
        <br />

        <h3>Disclaimer:</h3>
        <div class="my-3">
            <p>Diese App verwendet deinen Standort!</p>
            <p>
                Beim Besuchen der "Tracking" Seite muss der Zugriff auf den Standort erlaubt werden, damit die App funktionieren
                kann.
            </p>
            <p>Dieser wird aufgezeichnet und anonymisiert an einen Server des Mathezirkel geschickt.</p>
            <p>Dabei gesammelten Daten werden nur im Mathezirkel ausgewertet und sind 100% anonym.</p>
            <p>Außerhalb von Mathecamp-Veranstaltungen läuft kein Server zur Datenaufzeichnung.</p>
            <p>Die App hat nur Zugriff auf deinen Standort, während sie geöffnet ist, niemals im Hintergrund.</p>
            <p>Daten werden nur in einem 12km Umkreis um Mathezirkel-Locations erhoben.</p>
            <p>Daten im Cache werden nach 30h gelöscht, wenn sie nicht hochgeladen wurden.</p>
        </div>

        <h3>Installation:</h3>
        <div class="my-3">
            <p>
                Die App kann im Browser geöffnet werden. Dann ist eine Internetverbindung erforderlich (verbraucht sehr wenige
                Daten).
            </p>
            <p>Wahlweise kann die App auch installiert werden und ist dann komplett offline verfügbar.</p>

            <p>
                <a href="https://support.google.com/chrome/answer/9658361?hl=de&co=GENIE.Platform%3DAndroid&oco=0"
                    >Installations-Anleitung Android/Chrome</a
                >
            </p>
            <p>
                <a
                    href="https://support.appyourself.net/de/articles/1252130-ablegen-der-progressive-web-app-auf-dem-homescreen-unter-ios"
                    >Installations-Anleitung iOS (Nicht getestet kann sein dass das nicht funktioniert, sorry)</a
                >
            </p>
        </div>

        <h3 @click="handleViewClick" class="unselectable">Position-Push:</h3>
        <div class="my-3">
            <p>Alle par Minuten versucht die App die gesammelten Daten zur späteren Analyse an den Server zu senden.</p>
            <p>Dies sollte quasi keine mobilen Daten verbrauchen.</p>
            <p>
                Solltest du dennoch Bedenken haben, kannst du mobile Daten während der App-Benutzung einfach ausschalten und am
                Ende mit WLAN die Daten hochladen.
            </p>
        </div>

        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
    </div>
</template>

<style scoped></style>
